VirtualBox

Ticket #9105 (closed defect: duplicate)

Opened 3 years ago

Last modified 3 years ago

No 64-bit support in Linux 3.0 kernel

Reported by: rameijer Owned by:
Priority: major Component: host support
Version: VirtualBox 4.0.8 Keywords:
Cc: Guest type: Windows
Host type: Linux

Description

When starting VirtualBox 4.0.8 on Linux 3.0 AMD64 I get the following error box:

VT-x/AND-V hardware acceleration is not available on your system. Your 64-bit guest will fail to detect a 64-bit CPU and will not be able to boot.

In the log I see the following:

HWACCM: The host kernel does not support VT-x -- Linux 2.6.13 or newer required!

Apparently, Linux 3.0 is not being recognised as newer than 2.6.13.

More details:

virtualbox-4.0 4.0.8-71778~Ubuntu~natty Linux aurora 3.0-1-generic #2-Ubuntu SMP Wed Jun 15 20:28:47 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux Ubuntu 11.04

I can run everything without problems with Linux 2.6.39. Only on Linux 3.0 I experience problems.

The same thing happened with the NVIDIA driver. I had to update a kernel version check (along the lines of, "if kernel_version < 2.7.0 then kernel=2.6" was changed into "if kernel_version < 3.1.0 then kernel=2.6") in the source code to make it work.

I suspect a similar change needs to be made in the VBox source code.

Change History

comment:1 Changed 3 years ago by frank

  • Status changed from new to closed
  • Resolution set to duplicate

Duplicate of #9071.

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use